#
# (c) 2000, 2001 Alexander Leidinger
#

#
# Example Makefile:
#   FILES!= ls *.wml
#   RESULT= $(FILES:S/.wml/.html.de/g) $(FILES:S/.wml/.html.en/g)
#   SUBDIRS= foo bar foobar
#   .include "Makefile.inc"
#


WML= 		wml
WMLFLAGS= 	-I/foo/bar/wml-includes -O2 -t \
		-DBASE_URL=http://www.Leidinger.net \
		-DBASE_DIR~/foo/bar/html/
RM_F= 	rm -f

.SUFFIXES: .html.de .html.en .html .wml

.PHONY: $(SUBDIRS)

.wml.html.en:
	@echo -n "Generating $(.TARGET)... "
	@$(WML) $(WMLFLAGS) -o UNDEF+EN:$(.TARGET:Q)@o-rx $(.IMPSRC:Q)
	@echo "done"

.wml.html.de:
	@echo -n "Generating $(.TARGET)... "
	@$(WML) $(WMLFLAGS) -o UNDEF+DE:$(.TARGET:Q)@o-rx $(.IMPSRC:Q)
	@echo "done"

.wml.html:
	@echo -n "Generating $(.TARGET)... "
	@$(WML) $(WMLFLAGS) -o UNDEF+DE:$(.TARGET:Q)@o-rx $(.IMPSRC:Q) 2>/dev/null || echo -n "Error in $(.IMPSRC)... "
	@echo "done"

all: $(RESULT) $(SUBDIRS)
	@echo "$(.CURDIR) done."

touch: .NOTMAIN
	touch $(FILES:Q)

$(SUBDIRS): .NOTMAIN
	@cd $(.TARGET:Q); $(MAKE) $(.MAKEFLAGS:Q)

.if !target(clean)
clean: cleandir .NOTMAIN
.for dir in $(SUBDIRS)
	@(cd $(dir); $(MAKE) $(.MAKEFLAGS) clean) || exit $?
.endfor

cleandir: .NOTMAIN
.for rmvar in $(RESULT)
	$(RM_F) $(rmvar)
.endfor
	$(RM_F) *~

.endif
